<template>
  <div class="mobile-container">
    <van-sticky>
      <van-nav-bar
        :title="routerQuery.title || '领导看板'"
        left-arrow
        @click-left="_ => $router.go(-1)"
      />
    </van-sticky>
    <div class="content">
      <!--  案件办理方式    -->
      <CaseHandlingStatus />
      <!--  案件统计    -->
      <CaseStatistics />
      <!--  部门统计办理状态    -->
      <DepartmentalStatisticsProcessingStatus />
      <!--  统计案件来源    -->
      <StatisticalCaseSources />
      <!--  统计案件数量    -->
      <CountTheNumberOfCases />
    </div>
  </div>
</template>

<script>

import CaseHandlingStatus from './components/CaseHandlingStatus/index.vue'
import CaseStatistics from './components/CaseStatistics/index.vue'
import DepartmentalStatisticsProcessingStatus from './components/DepartmentalStatisticsProcessingStatus/index.vue'
import StatisticalCaseSources from './components/StatisticalCaseSources/index.vue'
import CountTheNumberOfCases from './components/CountTheNumberOfCases/index.vue'

export default {
  name: 'LeadershipKanban',
  components: {
    CaseHandlingStatus,
    CaseStatistics,
    DepartmentalStatisticsProcessingStatus,
    StatisticalCaseSources,
    CountTheNumberOfCases
  },
  data() {
    return {}
  },
  computed: {
    routerQuery() {
      return this.$route.query
    }
  },
  created() {
  },
  methods: {}
}
</script>
<style lang="scss" scoped>

.mobile-container {
  width: 100%;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;


  .content {
    display: flex;
    flex-direction: column;
    row-gap: 80px;
    flex: 1;
    height: 0;
    background: #fff;
    overflow-y: auto;
    padding: 40px 60px;

    > div {
      flex-grow: 1
    }
  }
}

</style>


